umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CodeImportOptionsPage Class Reference

`#include <ui_codeimportoptionspage.h>`

Inheritance diagram for Ui_CodeImportOptionsPage:

## Public Member Functions
void | setupUi (QWidget *CodeImportOptionsPage)
void | retranslateUi (QWidget *CodeImportOptionsPage)

## Public Attributes
QGridLayout * | gridLayout_2
QVBoxLayout * | verticalLayout_3
QGroupBox * | groupBox_2
QLabel * | label
QGroupBox * | groupBox
QGridLayout * | gridLayout
QVBoxLayout * | verticalLayout_2
QVBoxLayout * | verticalLayout
QCheckBox * | createArtifactCheckBox
QCheckBox * | resolveDependenciesCheckBox
QCheckBox * | supportCPP11CheckBox

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CodeImportOptionsPage::retranslateUi | ( | QWidget * | CodeImportOptionsPage | ) |
| inline

## ◆ setupUi()

void Ui_CodeImportOptionsPage::setupUi | ( | QWidget * | CodeImportOptionsPage | ) |
| inline

## Member Data Documentation

## ◆ createArtifactCheckBox

QCheckBox* Ui_CodeImportOptionsPage::createArtifactCheckBox

## ◆ gridLayout

QGridLayout* Ui_CodeImportOptionsPage::gridLayout

## ◆ gridLayout_2

QGridLayout* Ui_CodeImportOptionsPage::gridLayout_2

## ◆ groupBox

QGroupBox* Ui_CodeImportOptionsPage::groupBox

## ◆ groupBox_2

QGroupBox* Ui_CodeImportOptionsPage::groupBox_2

## ◆ label

QLabel* Ui_CodeImportOptionsPage::label

## ◆ resolveDependenciesCheckBox

QCheckBox* Ui_CodeImportOptionsPage::resolveDependenciesCheckBox

## ◆ supportCPP11CheckBox

QCheckBox* Ui_CodeImportOptionsPage::supportCPP11CheckBox

## ◆ verticalLayout

QVBoxLayout* Ui_CodeImportOptionsPage::verticalLayout

## ◆ verticalLayout_2

QVBoxLayout* Ui_CodeImportOptionsPage::verticalLayout_2

## ◆ verticalLayout_3

QVBoxLayout* Ui_CodeImportOptionsPage::verticalLayout_3

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codeimportoptionspage.h